Name:           fsa
Version:        0.51
Release:        %mkrel 5
Summary:        Finite state automata package
Group:          Sciences/Computer science
License:        Freeware
URL:            http://www.eti.pg.gda.pl/~jandac/fsa.html
Source:         ftp://ftp.pg.gda.pl/pub/software/xtras-PG/fsa/%{name}_%{version}.tar.gz
Patch0:         %{name}_0.41.fileselect-shellbang.patch

%description
This package contains several finite state automata-based utilities for:
- spellchecking
- diacritic restoration
- morphological analysis and synthesis
- acquisition of data for morphological descriptions
- perfect hashing

%package tcl
Summary:        Tcl/Tk interface for %{name}
Group:          Sciences/Computer science
Requires:       %{name} = %{version}

%description tcl
Tcl/Tk interface for %{name}.

%prep
%setup -q -n s_fsa
%autopatch -p0

%build
%make CPPFLAGS="\
  $RPM_OPT_FLAGS \
  -DFLEXIBLE  \
  -DNUMBERS \
  -DA_TERGO \
  -DGENERALIZE \
  -DSORT_ON_FREQ \
  -DSHOW_FILLERS  \
  -DSTOPBIT \
  -DNEXTBIT \
  -DMORE_COMPR \
  -DCASECONV \
  -DRUNON_WORDS \
  -DMORPH_INFIX \
  -DPOOR_MORPH \
  -DCHCLASS \
  -DGUESS_LEXEMES -DGUESS_PREFIX \
  -DGUESS_MMORPH \
  -DDUMP_ALL"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/{man1,man5}
install -d -m 755 %{buildroot}%{_datadir}/%{name}/{dict,tclmacq}
make PREFIXDIR=%{buildroot}%{_prefix} \
     MANDIR=%{buildroot}%{_mandir} \
     DICTDIR=%{buildroot}%{_datadir}/%{name}/dict \
     LISPDIR=%{buildroot}%{_libdir}/emacs/site-lisp \
     TCLMACQDIR=%{buildroot}%{_datadir}/%{name}/tclmacq \
     install
mv %{buildroot}%{_bindir}/simplify.pl %{buildroot}%{_bindir}/simplify-fsa.pl

%files
%doc CHANGES INSTALL README TROUBLESHOOTING
%{_bindir}/*
%{_mandir}/*/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dict
%exclude %{_bindir}/*.tcl

%files tcl
%doc CHANGES INSTALL README TROUBLESHOOTING
%{_bindir}/*.tcl
%{_datadir}/%{name}/tclmacq





%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.51-5.mga6
+ Revision: 943019
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.51-4.mga5
+ Revision: 750217
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.51-3.mga5
+ Revision: 725053
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.51-2.mga5
+ Revision: 679365
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 shlomif <shlomif> 0.51-1.mga5
+ Revision: 617882
- New version 0.51

* Fri Oct 18 2013 umeabot <umeabot> 0.45-3.mga4
+ Revision: 522010
- Mageia 4 Mass Rebuild

* Mon Feb 04 2013 umeabot <umeabot> 0.45-2.mga3
+ Revision: 394539
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 dmorgan <dmorgan> 0.45-1.mga1
+ Revision: 28624
- Add missing patch
- Add patch1 to fix build
- imported package fsa


* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2008.1
+ Revision: 178403
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-4mdv2008.1
+ Revision: 132434
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import fsa


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-3mdv2007.0
- Rebuild

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-2mdk
- fix description (Adam Williamson <awilliamson@mandriva.com>)
- %%mkrel  

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@zarb.org> 0.42-1mdk
- new version
- new GPL license allow inclusion in contrib
- fix conflict with anomy-sanitizer by renaming the problematic file (fix #45)

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@zarb.org> 0.41-2plf
- spec cleanup 
- less strict dependencies between packages
- fix missing shellbang

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.41-1plf
- new version 
- fix license

* Tue Oct 05 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.40-1plf 
- new version
- plf reason
- drop patch0 (merged upstream)

* Fri Jun 11 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.39-1plf 
- new version
- tcl files in a subpackage
- keep default compilation options
- fix segfault for out-of-size array index
- rpmbuildupdate aware

* Fri Jun 11 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.37-3plf 
- remove tcl files to avoid dependencies

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.37-2plf
- fix build
- Conflicts: anomy-sanitizer (%%_bindir/simplify)

* Tue Dec 16 2003 Guillaume Rousse <guillomovitch@zarb.org> 0.37-1plf
- first plf release
